import Vue from 'vue'

const beforeEach = function beforeEach(to, from, next) {
  if (to.meta.role) {
    let roles = (Vue.prototype.$keycloak) ? Vue.prototype.$keycloak.resourceAccess["leanisp-api"].roles : []
    if (roles.indexOf(to.meta.role) === -1) {
      next({ path: "/403" })
    } else {
      next()
    }
  } else {
    next()
  }
}

export default beforeEach
