# vue-leanisp-components

Vue components for micro fontends of Lean ISP Project

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).


### Dependences documentations

[Buefy](https://buefy.org/)

[Bulma](https://bulma.io/)

[Vue Gravatar] (https://www.npmjs.com/package/vue-gravatar)

[Vue Moment] (https://www.npmjs.com/package/vue-moment)

[Mobile Device Detect] (https://github.com/duskload/mobile-device-detect)

[Vee Validate] (https://vee-validate.logaretm.com/v2/guide/)

[Vue i18n] (https://kazupon.github.io/vue-i18n/)

## Projects Dependences
```
npm install vuex --save
npm install -D sass-loader@^10 sass
npm install buefy --save
npm install keycloak-js --save
npm install vue-resource --save
npm install vue-router --save
npm install vee-validate@^2.0.9 --save

npm install mobile-device-detect --save

npm install vue-moment --save
npm install vue-gravatar --save 
npm install vue-i18n --save
```