import Vue from 'vue'
import VueRouter from 'vue-router'
import routes from './routes'
import beforeEach from './before-each'

Vue.use(VueRouter)


/** 
 * Add Routes for specific application route
routes.push(
  {
    path: '/email-templates/new',
    meta: {
      role: 'administrator',
    },
    component: () => import('/src/forms/EmailTemplateForm.vue')
  }
) 
 */


const router = new VueRouter({ routes })
router.beforeEach(beforeEach)

export default router
