// vue.config.js
process.env.VUE_APP_VERSION = require('./package.json').version
process.env.VUE_APP_NAME = require('./package.json').name

module.exports = {
    publicPath: process.env.NODE_ENV === 'production' ? '/' : '/leanisp-components/',
    outputDir: '../docker/servidorhttp/www/',
    devServer: {
        port: 9001,
    },
    pwa: {
        name: 'Lean ISP | App',
        themeColor: '#4579C7',
        msTileColor: '#192734',
        appleMobileWebAppCapable: 'yes',
        appleMobileWebAppStatusBarStyle: 'black',
    
        // configure the workbox plugin
        // workboxPluginMode: 'InjectManifest',
        // workboxOptions: {
          // swSrc is required in InjectManifest mode.
        //   swSrc: 'dev/sw.js',
          // ...other Workbox options...
        // }
    }
}